Réinstallation le 9-12-19 Problème de pilotes avec ma carte Nvidia

Questions concernant les composants
Avatar du membre
alain
Messages : 6887
Enregistré le : dim. 11 oct. 2015 23:41
Localisation : Chelles
Contact :

Re: Problème de pilotes avec ma carte Nvidia

Message par alain » mer. 4 déc. 2019 19:09

Dernier message de la page précédente :

salut Zerifa.

Oui il y a de l’espoir...tant qu'il y a de la vie :l :lol:
Déjà tu n'as pas un black screen, y en a qu'on pas autant de chance :l

Alors on va commencer par purger les éventuels installations de pilotes Nvidia:

Code : Tout sélectionner

sudo apt-get purge nvidia*
S'il y a des messages d'erreur donnes nous le retour.

Si ok, essayons d'installer un pilote Nvidia:

Code : Tout sélectionner

sudo apt update

Code : Tout sélectionner

sudo apt install nvidia-435
Idem si erreurs donnes nous les retours.

Puis redémarre et vérifie par

Code : Tout sélectionner

inxi -G
que le 435 est bien installé.
In a world without walls and fences, who needs windows and gates?
Image
Taille réelle : https://www.fflmpics.fr/images/2019/05/ ... iere09.png

zerifa
Messages : 27
Enregistré le : lun. 25 nov. 2019 21:24

Re: Problème de pilotes avec ma carte Nvidia

Message par zerifa » mer. 4 déc. 2019 20:04

Ok, j'essaie encore.
La purge s'est bien passé.

Par contre :

Code : Tout sélectionner

sudo apt install nvidia-435
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
E: Impossible de trouver le paquet nvidia-435
Comme le gestionnaire de pilote n'était pas grisé, j'ai essayé par ce canal. J'obtiens le message d'erreur suivant :

Code : Tout sélectionner

installArchives() failed: (Reading database ... 
(Reading database ... 5%%
(Reading database ... 10%%
(Reading database ... 15%%
(Reading database ... 20%%
(Reading database ... 25%%
(Reading database ... 30%%
(Reading database ... 35%%
(Reading database ... 40%%
(Reading database ... 45%%
(Reading database ... 50%%
(Reading database ... 55%%
(Reading database ... 60%%
(Reading database ... 65%%
(Reading database ... 70%%
(Reading database ... 75%%
(Reading database ... 80%%
(Reading database ... 85%%
(Reading database ... 90%%
(Reading database ... 95%%
(Reading database ... 100%%
(Reading database ... 330853 files and directories currently installed.)
Removing libnvidia-cfg1-440:amd64 (440.36-0ubuntu0~0.18.04.1) ...
Removing libnvidia-encode-440:amd64 (440.36-0ubuntu0~0.18.04.1) ...
Removing libnvidia-decode-440:amd64 (440.36-0ubuntu0~0.18.04.1) ...
Removing libnvidia-compute-440:amd64 (440.36-0ubuntu0~0.18.04.1) ...
Removing libnvidia-encode-440:i386 (440.36-0ubuntu0~0.18.04.1) ...
Removing libnvidia-decode-440:i386 (440.36-0ubuntu0~0.18.04.1) ...
Removing libnvidia-compute-440:i386 (440.36-0ubuntu0~0.18.04.1) ...
Removing libnvidia-fbc1-440:i386 (440.36-0ubuntu0~0.18.04.1) ...
Removing libnvidia-fbc1-440:amd64 (440.36-0ubuntu0~0.18.04.1) ...
Selecting previously unselected package libnvidia-cfg1-435:amd64.
(Reading database ... 
(Reading database ... 5%%
(Reading database ... 10%%
(Reading database ... 15%%
(Reading database ... 20%%
(Reading database ... 25%%
(Reading database ... 30%%
(Reading database ... 35%%
(Reading database ... 40%%
(Reading database ... 45%%
(Reading database ... 50%%
(Reading database ... 55%%
(Reading database ... 60%%
(Reading database ... 65%%
(Reading database ... 70%%
(Reading database ... 75%%
(Reading database ... 80%%
(Reading database ... 85%%
(Reading database ... 90%%
(Reading database ... 95%%
(Reading database ... 100%%
(Reading database ... 330779 files and directories currently installed.)
Preparing to unpack .../00-libnvidia-cfg1-435_435.21-0ubuntu0.18.04.2_amd64.deb ...
Unpacking libnvidia-cfg1-435:amd64 (435.21-0ubuntu0.18.04.2) ...
Selecting previously unselected package libnvidia-common-435.
Preparing to unpack .../01-libnvidia-common-435_435.21-0ubuntu0.18.04.2_all.deb ...
Unpacking libnvidia-common-435 (435.21-0ubuntu0.18.04.2) ...
Selecting previously unselected package libnvidia-compute-435:i386.
Preparing to unpack .../02-libnvidia-compute-435_435.21-0ubuntu0.18.04.2_i386.deb ...
Unpacking libnvidia-compute-435:i386 (435.21-0ubuntu0.18.04.2) ...
Selecting previously unselected package libnvidia-compute-435:amd64.
Preparing to unpack .../03-libnvidia-compute-435_435.21-0ubuntu0.18.04.2_amd64.deb ...
Unpacking libnvidia-compute-435:amd64 (435.21-0ubuntu0.18.04.2) ...
Selecting previously unselected package libnvidia-decode-435:amd64.
Preparing to unpack .../04-libnvidia-decode-435_435.21-0ubuntu0.18.04.2_amd64.deb ...
Unpacking libnvidia-decode-435:amd64 (435.21-0ubuntu0.18.04.2) ...
Selecting previously unselected package libnvidia-decode-435:i386.
Preparing to unpack .../05-libnvidia-decode-435_435.21-0ubuntu0.18.04.2_i386.deb ...
Unpacking libnvidia-decode-435:i386 (435.21-0ubuntu0.18.04.2) ...
Selecting previously unselected package libnvidia-encode-435:amd64.
Preparing to unpack .../06-libnvidia-encode-435_435.21-0ubuntu0.18.04.2_amd64.deb ...
Unpacking libnvidia-encode-435:amd64 (435.21-0ubuntu0.18.04.2) ...
Selecting previously unselected package libnvidia-encode-435:i386.
Preparing to unpack .../07-libnvidia-encode-435_435.21-0ubuntu0.18.04.2_i386.deb ...
Unpacking libnvidia-encode-435:i386 (435.21-0ubuntu0.18.04.2) ...
Selecting previously unselected package libnvidia-fbc1-435:amd64.
Preparing to unpack .../08-libnvidia-fbc1-435_435.21-0ubuntu0.18.04.2_amd64.deb ...
Unpacking libnvidia-fbc1-435:amd64 (435.21-0ubuntu0.18.04.2) ...
Selecting previously unselected package libnvidia-fbc1-435:i386.
Preparing to unpack .../09-libnvidia-fbc1-435_435.21-0ubuntu0.18.04.2_i386.deb ...
Unpacking libnvidia-fbc1-435:i386 (435.21-0ubuntu0.18.04.2) ...
Selecting previously unselected package libnvidia-gl-435:i386.
Preparing to unpack .../10-libnvidia-gl-435_435.21-0ubuntu0.18.04.2_i386.deb ...
diversion of /usr/lib/i386-linux-gnu/libGL.so.1 to /usr/lib/i386-linux-gnu/libGL.so.1.distrib by nvidia-340
dpkg-divert: error: mismatch on package
  when removing 'diversion of /usr/lib/i386-linux-gnu/libGL.so.1 by libnvidia-gl-435'
  found 'diversion of /usr/lib/i386-linux-gnu/libGL.so.1 to /usr/lib/i386-linux-gnu/libGL.so.1.distrib by nvidia-340'
dpkg: error processing archive /tmp/apt-dpkg-install-h5jjoR/10-libnvidia-gl-435_435.21-0ubuntu0.18.04.2_i386.deb (--unpack):
 new libnvidia-gl-435:i386 package pre-installation script subprocess returned error exit status 2
Selecting previously unselected package libnvidia-gl-435:amd64.
Preparing to unpack .../11-libnvidia-gl-435_435.21-0ubuntu0.18.04.2_amd64.deb ...
diversion of /usr/lib/x86_64-linux-gnu/libGL.so.1 to /usr/lib/x86_64-linux-gnu/libGL.so.1.distrib by nvidia-340
dpkg-divert: error: mismatch on package
  when removing 'diversion of /usr/lib/x86_64-linux-gnu/libGL.so.1 by libnvidia-gl-435'
  found 'diversion of /usr/lib/x86_64-linux-gnu/libGL.so.1 to /usr/lib/x86_64-linux-gnu/libGL.so.1.distrib by nvidia-340'
dpkg: error processing archive /tmp/apt-dpkg-install-h5jjoR/11-libnvidia-gl-435_435.21-0ubuntu0.18.04.2_amd64.deb (--unpack):
 new libnvidia-gl-435:amd64 package pre-installation script subprocess returned error exit status 2
Selecting previously unselected package libnvidia-ifr1-435:amd64.
Preparing to unpack .../12-libnvidia-ifr1-435_435.21-0ubuntu0.18.04.2_amd64.deb ...
Unpacking libnvidia-ifr1-435:amd64 (435.21-0ubuntu0.18.04.2) ...
Selecting previously unselected package libnvidia-ifr1-435:i386.
Preparing to unpack .../13-libnvidia-ifr1-435_435.21-0ubuntu0.18.04.2_i386.deb ...
Unpacking libnvidia-ifr1-435:i386 (435.21-0ubuntu0.18.04.2) ...
Selecting previously unselected package nvidia-compute-utils-435.
Preparing to unpack .../14-nvidia-compute-utils-435_435.21-0ubuntu0.18.04.2_amd64.deb ...
Unpacking nvidia-compute-utils-435 (435.21-0ubuntu0.18.04.2) ...
Selecting previously unselected package nvidia-kernel-source-435.
Preparing to unpack .../15-nvidia-kernel-source-435_435.21-0ubuntu0.18.04.2_amd64.deb ...
Unpacking nvidia-kernel-source-435 (435.21-0ubuntu0.18.04.2) ...
Selecting previously unselected package nvidia-kernel-common-435.
Preparing to unpack .../16-nvidia-kernel-common-435_435.21-0ubuntu0.18.04.2_amd64.deb ...
Unpacking nvidia-kernel-common-435 (435.21-0ubuntu0.18.04.2) ...
Selecting previously unselected package nvidia-dkms-435.
Preparing to unpack .../17-nvidia-dkms-435_435.21-0ubuntu0.18.04.2_amd64.deb ...
Unpacking nvidia-dkms-435 (435.21-0ubuntu0.18.04.2) ...
Selecting previously unselected package nvidia-utils-435.
Preparing to unpack .../18-nvidia-utils-435_435.21-0ubuntu0.18.04.2_amd64.deb ...
Unpacking nvidia-utils-435 (435.21-0ubuntu0.18.04.2) ...
Selecting previously unselected package xserver-xorg-video-nvidia-435.
Preparing to unpack .../19-xserver-xorg-video-nvidia-435_435.21-0ubuntu0.18.04.2_amd64.deb ...
Unpacking xserver-xorg-video-nvidia-435 (435.21-0ubuntu0.18.04.2) ...
Selecting previously unselected package nvidia-driver-435.
Preparing to unpack .../20-nvidia-driver-435_435.21-0ubuntu0.18.04.2_amd64.deb ...
Unpacking nvidia-driver-435 (435.21-0ubuntu0.18.04.2) ...
Selecting previously unselected package nvidia-prime.
Preparing to unpack .../21-nvidia-prime_0.8.8.2_all.deb ...
Unpacking nvidia-prime (0.8.8.2) ...
Selecting previously unselected package nvidia-settings.
Preparing to unpack .../22-nvidia-settings_418.56-0ubuntu0~gpu18.04.1_amd64.deb ...
Unpacking nvidia-settings (418.56-0ubuntu0~gpu18.04.1) ...
Errors were encountered while processing:
 /tmp/apt-dpkg-install-h5jjoR/10-libnvidia-gl-435_435.21-0ubuntu0.18.04.2_i386.deb
 /tmp/apt-dpkg-install-h5jjoR/11-libnvidia-gl-435_435.21-0ubuntu0.18.04.2_amd64.deb
Setting up libnvidia-cfg1-435:amd64 (435.21-0ubuntu0.18.04.2) ...
dpkg: dependency problems prevent configuration of nvidia-driver-435:
 nvidia-driver-435 depends on libnvidia-gl-435 (= 435.21-0ubuntu0.18.04.2); however:
  Package libnvidia-gl-435:amd64 is not installed.

dpkg: error processing package nvidia-driver-435 (--configure):
 dependency problems - leaving unconfigured
Setting up nvidia-prime (0.8.8.2) ...
Setting up libnvidia-fbc1-435:amd64 (435.21-0ubuntu0.18.04.2) ...
Setting up libnvidia-fbc1-435:i386 (435.21-0ubuntu0.18.04.2) ...
Setting up nvidia-settings (418.56-0ubuntu0~gpu18.04.1) ...
Setting up libnvidia-compute-435:amd64 (435.21-0ubuntu0.18.04.2) ...
Setting up libnvidia-compute-435:i386 (435.21-0ubuntu0.18.04.2) ...
Setting up xserver-xorg-video-nvidia-435 (435.21-0ubuntu0.18.04.2) ...
Setting up nvidia-utils-435 (435.21-0ubuntu0.18.04.2) ...
Setting up nvidia-kernel-common-435 (435.21-0ubuntu0.18.04.2) ...
update-initramfs: deferring update (trigger activated)
Setting up nvidia-kernel-source-435 (435.21-0ubuntu0.18.04.2) ...
dpkg: dependency problems prevent configuration of libnvidia-ifr1-435:amd64:
 libnvidia-ifr1-435:amd64 depends on libnvidia-gl-435; however:
  Package libnvidia-gl-435:amd64 is not installed.

dpkg: error processing package libnvidia-ifr1-435:amd64 (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libnvidia-ifr1-435:i386:
 libnvidia-ifr1-435:i386 depends on libnvidia-gl-435; however:
  Package libnvidia-gl-435:i386 is not installed.

dpkg: error processing package libnvidia-ifr1-435:i386 (--configure):
 dependency problems - leaving unconfigured
Setting up libnvidia-common-435 (435.21-0ubuntu0.18.04.2) ...
Setting up nvidia-compute-utils-435 (435.21-0ubuntu0.18.04.2) ...
Attention! Impossible d'accder au rpertoire personnel que vous avez indiqu (/nonexistent): No such file or directory.
Ajout de l'utilisateur systme nvidia-persistenced (UID 122) ...
Ajout du nouveau groupe nvidia-persistenced (GID 129) ...
Ajout du nouvel utilisateur nvidia-persistenced (UID 122) avec pour groupe d'appartenance nvidia-persistenced ...
Le rpertoire personnel /nonexistent n'a pas t cr.
Setting up nvidia-dkms-435 (435.21-0ubuntu0.18.04.2) ...
update-initramfs: deferring update (trigger activated)
INFO:Enable nvidia
DEBUG:Parsing /usr/share/ubuntu-drivers-common/quirks/put_your_quirks_here
DEBUG:Parsing /usr/share/ubuntu-drivers-common/quirks/lenovo_thinkpad
DEBUG:Parsing /usr/share/ubuntu-drivers-common/quirks/dell_latitude
Loading new nvidia-435.21 DKMS files...
Building for 4.15.0-72-generic
Building for architecture x86_64
Building initial module for 4.15.0-72-generic
Running in non-interactive mode, doing nothing.
Done.

nvidia:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/4.15.0-72-generic/kernel/drivers/char/drm/

nvidia-modeset.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/4.15.0-72-generic/kernel/drivers/char/drm/

nvidia-drm.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/4.15.0-72-generic/kernel/drivers/char/drm/

nvidia-uvm.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/4.15.0-72-generic/kernel/drivers/char/drm/

depmod.....

DKMS: install completed.
Setting up libnvidia-decode-435:amd64 (435.21-0ubuntu0.18.04.2) ...
Setting up libnvidia-decode-435:i386 (435.21-0ubuntu0.18.04.2) ...
Setting up libnvidia-encode-435:amd64 (435.21-0ubuntu0.18.04.2) ...
Setting up libnvidia-encode-435:i386 (435.21-0ubuntu0.18.04.2) ...
Processing triggers for desktop-file-utils (0.23+linuxmint6) ...
Processing triggers for libc-bin (2.27-3ubuntu1) ...
Processing triggers for man-db (2.8.3-2ubuntu0.1) ...
Processing triggers for gnome-menus (3.13.3-11ubuntu1.1) ...
Processing triggers for mime-support (3.60ubuntu1) ...
Processing triggers for initramfs-tools (0.130ubuntu3.9) ...
update-initramfs: Generating /boot/initrd.img-4.15.0-72-generic
Mince.
Host: georges-M32CD Kernel: 4.15.0-70-generic x86_64 bits: 64
Desktop: Cinnamon 4.2.4 Distro: Linux Mint 19.2 MATE
Type: Desktop Mobo: ASUSTeK model: M32CD v: Rev 1.xx
Device-1: NVIDIA GM107 [GeForce GTX 745] driver: N/A

zerifa
Messages : 27
Enregistré le : lun. 25 nov. 2019 21:24

Re: Problème de pilotes avec ma carte Nvidia

Message par zerifa » mer. 4 déc. 2019 20:12

Et voici, après redémarrage le résultat de la commande inxi :

Code : Tout sélectionner

Graphics:
  Device-1: NVIDIA GM107 [GeForce GTX 745] driver: N/A 
  Display: server: X.Org 1.19.6 driver: fbdev,nouveau 
  unloaded: modesetting,vesa resolution: 1024x768~76Hz 
  OpenGL: renderer: llvmpipe (LLVM 8.0 256 bits) v: 3.3 Mesa 19.0.8 
Le gestionnaire de Pilote n'est pas grisé et me dit : "1 pilote propriétaire utilisé" et le rond est à côté du 435.

Qu'est-ce que cela veut dire?
Host: georges-M32CD Kernel: 4.15.0-70-generic x86_64 bits: 64
Desktop: Cinnamon 4.2.4 Distro: Linux Mint 19.2 MATE
Type: Desktop Mobo: ASUSTeK model: M32CD v: Rev 1.xx
Device-1: NVIDIA GM107 [GeForce GTX 745] driver: N/A

Avatar du membre
alain
Messages : 6887
Enregistré le : dim. 11 oct. 2015 23:41
Localisation : Chelles
Contact :

Re: Problème de pilotes avec ma carte Nvidia

Message par alain » jeu. 5 déc. 2019 05:06

Bonjour
zerifa a écrit :
mer. 4 déc. 2019 20:12
Qu'est-ce que cela veut dire?
Que cela n'a pas fonctionné... :?

Tes retour montrent un problème lors de la création du lien de libnvidia-gl-435 dans /usr/lib/i386-linux-gnu/ .
D'après ce que je comprends c'est a cause d'une incompatibilité du package.
Par la suite, forcément, lors de la configuration, il y a une erreur car il manque libnividia-gl-435 ( Package libnvidia-gl-435:amd64 is not installed).
Ce que j'ai du mal a comprendre c'est pourquoi ce paquet il commence à en tenter l'installation en 32 bits puis en 64 bits ?
Autre chose étrange aussi, c'est la présence d'un lien «libGL.so.1.distrib by nvidia-340» qui devrait être replacé par celui de «libnvidia-gl-435».
Aurais tu tenter une installation du pilote 340?

Bon c'est peut être de ma faute, car je n'avais pas trop le temps ce soir et j'ai oublié des choses.

Avant toute choses j'aurai du te demander de supprimer le ppa que tu as ajouté et de vider le cache d'apt (ça se vois sur ton
premier retour). Et aussi le fait que nvidia-435 soit "introuvable" est normal, car, mea culpa, je n'ai pas regardé, pressé que
j’étais de partir en foire. Car après le 384; les paquets de pilote nvidia s'appellent "nvidia-driver-xxx"...Désolé :oops:

Alors, si tu as toujours le courage de recommencer...
Fais:
Repurge Nividia (ça va enlever ce qui a été installé par ta tentative par le gestionnaire de pilotes)

Code : Tout sélectionner

sudo apt-get purge nvidia*
Puis on supprime le ppa:
Image

Code : Tout sélectionner

sudo rm /etc/apt/sources.list.d/graphics-drivers-ppa-bionic.list
on vide le cache:

Code : Tout sélectionner

sudo apt-get clean
puis:

Code : Tout sélectionner

sudo apt-get update
Et enfin on retente une installation du pilote, mais avec une autre commande, pour voir...

Code : Tout sélectionner

sudo ubuntu-drivers autoinstall
Comme en début de soirée gardes bien les retours et donnes les ici si problèmes. Au passage, pense à
mettre la ligne de commande (la première) avec le retour, c'est plus simple pour s'y retrouver.
Ensuite pareil que précédemment, redémarre, inxi -G...Enfin t'es rodé maintenant :l ;)

Quoiqu'il en soit, ne refais pas d'essais avec le gestionnaire de pilotes, j'ai l'impression qu'il est un peu perdu, le pôvre...

Il est fort probable que tu ais de nouveau des soucis avec : «libnvidia-gl-xxx». Si c'est le cas, il faudra que j'en parle
avec plus calé que moi, car la y a un truc que je maîtrise pas... :oops: :l

Bon courage et bonne chance ;)
In a world without walls and fences, who needs windows and gates?
Image
Taille réelle : https://www.fflmpics.fr/images/2019/05/ ... iere09.png

Avatar du membre
Scrat
Messages : 406
Enregistré le : lun. 6 août 2018 19:05
Localisation : île d'Oléron

Re: Problème de pilotes avec ma carte Nvidia

Message par Scrat » jeu. 5 déc. 2019 13:12

Bonjour.

Je me permets d'intervenir dans ce sujet car je suis passé tout récemment au pilote 435 pour ma carte GM 108M (GeForce 920 MX) après avoir vu qu'il était disponible dans le gestionnaire de pilotes, et tout fonctionne normalement.

J'ai regardé dans le gestionnaire de paquets, et tous les paquets 435 sont bien installés. Peut-être faudrait-il essayer le menu "Édition->Réparer les paquets cassés" du gestionnaire de paquets pour rendre tous les paquets 435 disponibles ?

A+
Portable Lenovo Ideapad 320-17IKB - Linux Mint 19.2 Tina - Cinnamon 4.2.4
Noyau Linux 4.15.0-72-generic - CPU Intel© Core™ i5-7200U CPU @ 2.50GHz × 2
RAM 7.6 Go - Disque HDD 960.4 Go
Carte Graphique Nvidia GeForce 920MX 2 Go - Intel Corporation HD Graphics 620

On a toujours tort d'essayer d'avoir raison devant des gens qui ont toutes les bonnes raisons de croire qu'ils n'ont pas tort ! (Raymond Devos) :lol:

Avatar du membre
arghlub
modérateur
Messages : 7174
Enregistré le : dim. 21 mai 2017 08:19
Localisation : Provence
Contact :

Re: Problème de pilotes avec ma carte Nvidia

Message par arghlub » jeu. 5 déc. 2019 15:33

2-3 pistes : https://search.lilo.org/results.php?q=d ... on+package
(en anglais, i'm sorry)

dont celles-là : https://askubuntu.com/questions/1175563 ... n-packages
et surtout : https://askubuntu.com/questions/1035409 ... rs-on-18-0

désolé je n'ai pas le temps de scruter le "wouaille". Mais c'est peut-être une piste ;)
Tour (custom)CM MSI Z270 M3 | CPU Intel I7-7700K | CG Nvidia GTX 1080 | RAM 16Go DDR4 3GHz | tripleBoot : Debian 10 | MXlinux 19 | LMint 19.2 Tina | XFCE
Portable Lenovo G50-80 (boosté RAM+SSD) | CPU Intel I3-4005U | RAM 8Go | tripleBoot avec “/data” commune : LMint 18.3 Sylvia | MXlinux 19 | LMint 19.2 | XFCE
+ autres PCs + RaspberryPis + VMs ...
─────( pour une informatique libre ! -membre de l' April.org )────────────────

zerifa
Messages : 27
Enregistré le : lun. 25 nov. 2019 21:24

Re: Problème de pilotes avec ma carte Nvidia

Message par zerifa » ven. 6 déc. 2019 20:10

J'ai déjà essayé ce que Alain me propose : tout fonctionne jusqu'à la dernière commande :

Code : Tout sélectionner

sudo ubuntu-drivers autoinstall
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Vous pouvez lancer « apt --fix-broken install » pour corriger ces problèmes.
Les paquets suivants contiennent des dépendances non satisfaites :
 libnvidia-ifr1-435 : Dépend: libnvidia-gl-435 mais il n'est pas installé
 libnvidia-ifr1-435:i386 : Dépend: libnvidia-gl-435:i386 mais il n'est pas installé
 nvidia-driver-435 : Dépend: libnvidia-gl-435 (= 435.21-0ubuntu0.18.04.2) mais il n'est pas installé
E: Dépendances non satisfaites. Essayez « apt --fix-broken install » sans paquet
   (ou indiquez une solution).
Je tente une autre commande?
Host: georges-M32CD Kernel: 4.15.0-70-generic x86_64 bits: 64
Desktop: Cinnamon 4.2.4 Distro: Linux Mint 19.2 MATE
Type: Desktop Mobo: ASUSTeK model: M32CD v: Rev 1.xx
Device-1: NVIDIA GM107 [GeForce GTX 745] driver: N/A

zerifa
Messages : 27
Enregistré le : lun. 25 nov. 2019 21:24

Re: Problème de pilotes avec ma carte Nvidia

Message par zerifa » ven. 6 déc. 2019 20:39

Scrat a écrit :
jeu. 5 déc. 2019 13:12
J'ai regardé dans le gestionnaire de paquets, et tous les paquets 435 sont bien installés. Peut-être faudrait-il essayer le menu "Édition->Réparer les paquets cassés" du gestionnaire de paquets pour rendre tous les paquets 435 disponibles ?
Merci. Je suis allé dans le gestionnaire, mais je n'ai trouvé aucun paquet cassé. J'ai essayé de réinstallé le paquet 435.21-0ubuntu0.18.04.2 sans que ça ne change rien. I

(Au passage, à chaque redémarrage, qui prend 3 à 5 minutes, mon espace disque diminue de 5 Go. Le fichier kern.log grossit... c'est inquiétant.)
Host: georges-M32CD Kernel: 4.15.0-70-generic x86_64 bits: 64
Desktop: Cinnamon 4.2.4 Distro: Linux Mint 19.2 MATE
Type: Desktop Mobo: ASUSTeK model: M32CD v: Rev 1.xx
Device-1: NVIDIA GM107 [GeForce GTX 745] driver: N/A

zerifa
Messages : 27
Enregistré le : lun. 25 nov. 2019 21:24

Re: Problème de pilotes avec ma carte Nvidia

Message par zerifa » ven. 6 déc. 2019 20:43

Encore un message, je ne sais pas si ça peut servir à m'aider :

Code : Tout sélectionner

nvidia-settings

ERROR: NVIDIA driver is not loaded


ERROR: Unable to load info from any available system


(nvidia-settings:2545): GLib-GObject-CRITICAL **: 20:42:14.653: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
** Message: 20:42:14.674: PRIME: No offloading required. Abort
** Message: 20:42:14.674: PRIME: is it supported? no
Host: georges-M32CD Kernel: 4.15.0-70-generic x86_64 bits: 64
Desktop: Cinnamon 4.2.4 Distro: Linux Mint 19.2 MATE
Type: Desktop Mobo: ASUSTeK model: M32CD v: Rev 1.xx
Device-1: NVIDIA GM107 [GeForce GTX 745] driver: N/A

Avatar du membre
alain
Messages : 6887
Enregistré le : dim. 11 oct. 2015 23:41
Localisation : Chelles
Contact :

Re: Problème de pilotes avec ma carte Nvidia

Message par alain » sam. 7 déc. 2019 04:58

Bonjour zerifa.
zerifa a écrit :
ven. 6 déc. 2019 20:10
J'ai déjà essayé ce que Alain me propose : tout fonctionne jusqu'à la dernière commande :

Code : Tout sélectionner

sudo ubuntu-drivers autoinstall 
En fait cette commande est la même que celle (avec erreur sur le nom du paquet) que je t'avais
donné précédemment pour installer le 435.
La différence est que celle ci installe le meilleurs pilote pour ta carte graphique, dispo
dans les dépots ubuntu.
ça tombe bien le meilleur c'est le 435.

En fait ton problème est toujours le même, pb avec "libnvidia-gl-435", comme avec l'installation
par le gestionnaire de pilotes. mais la il te propose d'essayer quelque chose:
zerifa a écrit :
ven. 6 déc. 2019 20:10

Code : Tout sélectionner

E: Dépendances non satisfaites. Essayez « apt --fix-broken install » sans paquet
 
Mais ce truc la ne fonctionne plus. A la place fais un:

Code : Tout sélectionner

sudo apt install -f
Mais pas certain du tout que ça fonctionne mieux après...

C'est vrai que tu as un processeur graphique intégré (ntel® HD 530), j'ai oublié ce détail :?
Donc le dernier message sur "prime" est certainement du au fait que le pilote Nvidia
ne fonctionne pas ou que le GPU intégré intel soit désactivé dans le bios.
Tu dois avoir une prise vga sur ta carte mère? Si tu y branche l'écran, ça fonctionne t'il?

Ton problème est certainement le même que celui décris dans les liens donnés par Arghlub.
Il semblerai y avoir une solution mais je ne la comprends pas. Faut que je traduise, puis que j'essaye de comprendre ce que fait la commande qui y est donné.
La je travaille (oui je sais ça ne se vois pas :l :mrgreen: ) je termine lundi matin, je regarderai
les liens la nuit de lundi, si j'ai le temps. En attendant, essaies le "sudo apt install -f"...On ne sait jamais :l

Bon WE.
In a world without walls and fences, who needs windows and gates?
Image
Taille réelle : https://www.fflmpics.fr/images/2019/05/ ... iere09.png

zerifa
Messages : 27
Enregistré le : lun. 25 nov. 2019 21:24

Re: Problème de pilotes avec ma carte Nvidia

Message par zerifa » sam. 7 déc. 2019 10:39

Merci beaucoup! J'ai essayé aussi de parcourir les liens de Arghlub, mais en effet, n'étant à l'aise ni en anglais, ni en Linux, je ne vois pas où est la solutions...

Sinon, avec ta commande :

Code : Tout sélectionner

sudo apt install -f
[sudo] Mot de passe de georges :         
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
0 mis à jour, 0 nouvellement installés, 0 à enlever et 6 non mis à jour.
Il ne semble pas y avoir de problème. J'ai regardé qu'est-ce qui n'était pas à jour, mais je ne pense pas que c'est pertinent...

Code : Tout sélectionner

apt list --upgradable
En train de lister... Fait
grub-common/bionic-updates 2.02-2ubuntu8.14 amd64 [pouvant être mis à jour depuis : 2.02-2ubuntu8.13]
grub-efi-amd64/bionic-updates 2.02-2ubuntu8.14 amd64 [pouvant être mis à jour depuis : 2.02-2ubuntu8.13]
grub-efi-amd64-bin/bionic-updates 2.02-2ubuntu8.14 amd64 [pouvant être mis à jour depuis : 2.02-2ubuntu8.13]
grub-efi-amd64-signed/bionic-updates 1.93.15+2.02-2ubuntu8.14 amd64 [pouvant être mis à jour depuis : 1.93.14+2.02-2ubuntu8.13]
grub2-common/bionic-updates 2.02-2ubuntu8.14 amd64 [pouvant être mis à jour depuis : 2.02-2ubuntu8.13]
intel-microcode/bionic-updates,bionic-security 3.20191115.1ubuntu0.18.04.2 amd64 [pouvant être mis à jour depuis : 3.20191115.1ubuntu0.18.04.1]
Tu as déjà passé beaucoup de temps, Alain. N'hésite pas à laisser tomber si jamais : au pire, j'abandonne linux ou du moins cette distribution :-(.
Host: georges-M32CD Kernel: 4.15.0-70-generic x86_64 bits: 64
Desktop: Cinnamon 4.2.4 Distro: Linux Mint 19.2 MATE
Type: Desktop Mobo: ASUSTeK model: M32CD v: Rev 1.xx
Device-1: NVIDIA GM107 [GeForce GTX 745] driver: N/A

Répondre